package io.hmit.modules.serviceOrder.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 订单服务关联表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-26
 */
@Data
@ApiModel(value = "订单服务关联表")
public class PensionOrderServiceDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "")
	private Long id;

	@ApiModelProperty(value = "订单id")
	private Long orderId;

	@ApiModelProperty(value = "服务id")
	private Long serviceId;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "创建者")
	private Long creator;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;

	@ApiModelProperty(value = "更新者")
	private Long updater;

	@ApiModelProperty(value = "更新时间")
	private Date updateDate;

	public PensionOrderServiceDTO assemblePensionOrderService(PensionOrderDTO pensionOrderDTO){
		PensionOrderServiceDTO dto = new PensionOrderServiceDTO();
		dto.setOrderId(pensionOrderDTO.getId());
		dto.setServiceId(pensionOrderDTO.getServiceId());
		dto.setRemark("");
		return dto;
	}

}
